Bluetooth headset random disconnects AX200

Bug #1933771 reported by Almer S. Tigelaar

This bug report will be marked for expiration in 21 days if no further activity occurs. (find out why)

94
This bug affects 17 people
Affects Status Importance Assigned to Milestone
linux-firmware (Ubuntu)
Invalid
Undecided
Unassigned
Hirsute
Won't Fix
Undecided
Juerg Haefliger
Impish
Won't Fix
Undecided
Unassigned
Jammy
Incomplete
Undecided
Unassigned

Bug Description

[Impact]

Using several different bluetooth headsets I find that the Bluetooth functionality of the built-in AX200 module of my motherboard keeps randomly disconnecting. I found that this has been fixed in recent Linux firmware updates, but I am not sure that fix has landed yet in Ubuntu Hirsute.

Herewith I am posting the link to exactly the issue I am having: https://gitlab.freedesktop.org/pulseaudio/pulseaudio/-/issues/1155

And the Linux Firmware commit that resolves this:
https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/commit/?id=73144e02dcff54529ab42d951de682740d204180

A related Fedora bug:
https://bodhi.fedoraproject.org/updates/FEDORA-2021-93247f3274

It's difficult to relate the upstream kernel version firmware version in which this was fixed (linux-firmware-20210511) to the version of the linux-firmware Ubuntu package (for me). Perhaps someone can comment on whether this has been merged in. I am still experiencing disconnects with 1.197.1 at least.

--

Description: Ubuntu 21.04
Release: 21.04

linux-firmware:
  Installed: 1.197.1
  Candidate: 1.197.1

I expected:
  Bluetooth headset to remain connected

What happened:
  Bluetooth headset connects, then randomly disconnects and reconnects while playing media

[Test Case]

See above.

[Fix]

Update AX20x firmware blobs.

[Where Problems Could Occur]

New firmware blobs so previously working adapter might now fail.

Revision history for this message
Almer S. Tigelaar (almer) wrote (last edit ):

I can confirm that manually copying the files in https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/commit/?id=73144e02dcff54529ab42d951de682740d204180, and rebooting, seems to reduce the disconnects, though I am still experiencing them.

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-firmware (Ubuntu):
status: New → Confirmed
Revision history for this message
Aidan Chappuis (zoup123) wrote :

I can confirm this affects me on 1.197.2 (problem started on 1.197.1). Ax200 (Discrete in an m.2 e slot)

tags: added: hirsute
Revision history for this message
Cruz Fernandez (cruz-fernandez) wrote :

I've copied latest linux-firmware (a few days ago 20210919) and my setup has improved. I believe more patches on latest one have reduced this problem. I'll post more on the week when I confirm more.

Revision history for this message
Almer S. Tigelaar (almer) wrote :

Updating to linux-firmware 1.201 seems to have solved the problem for me.

Revision history for this message
Anton Sudak (anton-sudak) wrote :

Confirming, did not see any disconnects for past two weeks.

Juerg Haefliger (juergh)
Changed in linux-firmware (Ubuntu Hirsute):
status: New → Confirmed
Changed in linux-firmware (Ubuntu):
status: Confirmed → Invalid
Juerg Haefliger (juergh)
description: updated
Changed in linux-firmware (Ubuntu Hirsute):
assignee: nobody → Juerg Haefliger (juergh)
status: Confirmed → In Progress
Revision history for this message
Hadrien Mary (hadim) wrote :

I still have the issue on Ubuntu 21.10 with linux-firmware 1.201.3

Revision history for this message
Alex Haan (alexhaaniwink) wrote (last edit ):

This seems to be mostly solved in Ubuntu 21.10 (compared to 21.04. linux-firmware 1.201.3) for me now.

I do regularly (multiple times in a minute) get a hiccup which lasts a fraction of a second where there's no sound output. Not an issue for videocalls (other microphone than through the bluethooth headset to keep A2DP sink opposed to the crappy HFP).
That hiccup isn't ideal when listening to music though.

Revision history for this message
shao.lo (shao-lo) wrote (last edit ):

I'm using Ubuntu 21.10 with firmware 1.201.3 as well. I have the periodic drop out followed by a static corruption. I was hoping it was an issue with the bluetooth dongle I use, so I bought a new bluetooth 5.0 version, but the problem persists. It will be good for hours (sometimes days) and then it will start happening every few minutes.
What is the time frame on a fix for this? Is downgrading the firmware the current solution?

Revision history for this message
Hadrien Mary (hadim) wrote :

I still see the issue (last time was after 90 minutes during a conf call) with Ubuntu 21.10 with linux-firmware 1.202.

Revision history for this message
Aidan Chappuis (zoup123) wrote :

I still see this as well, but instead of a total dropout, it drops out for a second then reconnects, but either swapped to the HFP profile or with several seconds of delay in the sound

Revision history for this message
Laurent Dumont (baconpackets) wrote :

Seeing this on 21.10.

lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 21.10
Release: 21.10
Codename: impish

coldadmin@big-potato:~$ dpkg -l | grep linux-firmware
ii linux-firmware 1.201.4 all Firmware for Linux kernel drivers

Logs from syslog

Feb 27 16:22:34 big-potato bluetoothd[1073]: profiles/audio/avdtp.c:handle_unanswered_req() No reply to Suspend request
Feb 27 16:22:34 big-potato bluetoothd[1073]: src/profile.c:ext_io_disconnected() Unable to get io data for Hands-Free Voice gateway: getpeername: Transport endpoint is not connected (107)
Feb 27 16:22:40 big-potato bluetoothd[1073]: /org/bluez/hci0/dev_00_8A_76_26_7B_69/sep1/fd6: fd(41) ready

Juerg Haefliger (juergh)
Changed in linux-firmware (Ubuntu Hirsute):
status: In Progress → Won't Fix
Revision history for this message
Juerg Haefliger (juergh) wrote :

Can you test the jammy firmware to see if that makes a difference? There are quite a few AX2xx updates in there.

https://launchpad.net/ubuntu/+archive/primary/+files/linux-firmware_20220302.gitee0667aa-0ubuntu1_all.deb

And can you all report what adapters you're having problems with so we know which binaries need updating? Maybe so: 'sudo dmesg | grep -i bluetooth'.

Revision history for this message
Laurent Dumont (baconpackets) wrote :

Sure! I'll install the deb.

[ 3.195365] Bluetooth: Core ver 2.22
[ 3.195382] Bluetooth: HCI device and connection manager initialized
[ 3.195384] Bluetooth: HCI socket layer initialized
[ 3.195385] Bluetooth: L2CAP socket layer initialized
[ 3.195387] Bluetooth: SCO socket layer initialized
[ 3.201408] Bluetooth: hci0: Firmware revision 0.0 build 121 week 7 2021
[ 3.263426] Bluetooth: hci0: MSFT filter_enable is already on
[ 5.114319] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 5.114322] Bluetooth: BNEP filters: protocol multicast
[ 5.114326] Bluetooth: BNEP socket layer initialized
[ 12.504895] Bluetooth: RFCOMM TTY layer initialized
[ 12.504899] Bluetooth: RFCOMM socket layer initialized
[ 12.504902] Bluetooth: RFCOMM ver 1.11
[ 5417.756529] Bluetooth: hci0: urb 00000000f43df3ae submission failed (90)
[ 5417.756535] Bluetooth: hci0: sending frame failed (-90)
[ 5417.756537] Bluetooth: hci0: urb 00000000f43df3ae submission failed (90)
[ 5417.756538] Bluetooth: hci0: sending frame failed (-90)
[ 5423.910998] Bluetooth: hci0: SCO packet for unknown connection handle 513

sudo lsusb |grep Bluetooth Sat 05 Mar 2022 12:18:04 PM
Bus 001 Device 007: ID 8087:0029 Intel Corp. AX200 Bluetooth

Revision history for this message
Laurent Dumont (baconpackets) wrote :

Same issue with the new Firmware.

Mar 5 12:35:17 big-potato bluetoothd[1069]: profiles/audio/avdtp.c:handle_unanswered_req() No reply to Suspend request
Mar 5 12:35:17 big-potato bluetoothd[1069]: src/profile.c:ext_io_disconnected() Unable to get io data for Hands-Free Voice gateway: getpeername: Transport endpoint is not connected (107)

sudo dpkg -l | grep linux-firmware Sat 05 Mar 2022 12:35:20 PM
hi linux-firmware 20220302.gitee0667aa-0ubuntu1 all Firmware for Linux kernel drivers

Revision history for this message
Laurent Dumont (baconpackets) wrote :

Tried the new version from jammy, same issue :(

ii linux-firmware 20220314.gitcd01f857-0ubuntu2 all Firmware for Linux kernel drivers

Disconnect at 10:41 EST

Mar 20 10:41:03 big-potato bluetoothd[1084]: src/profile.c:ext_io_disconnected() Unable to get io data for Hands-Free Voice gateway: getpeername: Transport endpoint is not connected (107)
Mar 20 10:41:10 big-potato bluetoothd[1084]: /org/bluez/hci0/dev_00_8A_76_26_7B_69/sep1/fd1: fd(41) ready

Revision history for this message
Juerg Haefliger (juergh) wrote :

@baconpackets Please run 'apport-collect 1933771' after you get a failure.

Revision history for this message
Laurent Dumont (baconpackets) wrote : apport information

ProblemType: Bug
ApportVersion: 2.20.11-0ubuntu71.1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: coldadmin 2501 F.... pulseaudio
 /dev/snd/controlC2: coldadmin 2501 F.... pulseaudio
 /dev/snd/controlC1: coldadmin 2501 F.... pulseaudio
CasperMD5CheckResult: unknown
CurrentDesktop: ubuntu:GNOME
Dependencies:

DistroRelease: Ubuntu 21.10
HibernationDevice: RESUME=UUID=fe65245e-b825-45a8-8b9f-09ec44fbbcf7
InstallationDate: Installed on 2019-01-04 (1187 days ago)
InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 (20180725)
MachineType: Micro-Star International Co., Ltd. MS-7B22
NonfreeKernelModules: nvidia_modeset nvidia
Package: linux-firmware 20220314.gitcd01f857-0ubuntu2 [origin: unknown]
PackageArchitecture: all
ProcFB: 0 EFI VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.13.0-35-generic root=UUID=95e90995-8bd5-4941-9778-7cbd5bb5fe34 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 5.13.0-35.40-generic 5.13.19
RebootRequiredPkgs: Error: path contained symlinks.
RelatedPackageVersions:
 linux-restricted-modules-5.13.0-35-generic N/A
 linux-backports-modules-5.13.0-35-generic N/A
 linux-firmware 20220314.gitcd01f857-0ubuntu2
Tags: third-party-packages impish
Uname: Linux 5.13.0-35-generic x86_64
UnreportableReason: This does not seem to be an official Ubuntu package. Please retry after updating the indexes of available packages, if that does not work then remove related third party packages and try again.
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip docker libvirt lpadmin plugdev sambashare sudo ubridge
_MarkForUpload: True
dmi.bios.date: 12/26/2019
dmi.bios.release: 5.13
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 2.90
dmi.board.asset.tag: Default string
dmi.board.name: B360-A PRO (MS-7B22)
dmi.board.vendor: Micro-Star International Co., Ltd.
dmi.board.version: 1.0
dmi.chassis.asset.tag: Default string
dmi.chassis.type: 3
dmi.chassis.vendor: Micro-Star International Co., Ltd.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr2.90:bd12/26/2019:br5.13:svnMicro-StarInternationalCo.,Ltd.:pnMS-7B22:pvr1.0:rvnMicro-StarInternationalCo.,Ltd.:rnB360-APRO(MS-7B22):rvr1.0:cvnMicro-StarInternationalCo.,Ltd.:ct3:cvr1.0:skuDefaultstring:
dmi.product.family: Default string
dmi.product.name: MS-7B22
dmi.product.sku: Default string
dmi.product.version: 1.0
dmi.sys.vendor: Micro-Star International Co., Ltd.

tags: added: apport-collected impish third-party-packages
Revision history for this message
Laurent Dumont (baconpackets) wrote : AlsaInfo.txt

apport information

Revision history for this message
Laurent Dumont (baconpackets) wrote : CRDA.txt

apport information

Revision history for this message
Laurent Dumont (baconpackets) wrote : CurrentDmesg.txt

apport information

Revision history for this message
Laurent Dumont (baconpackets) wrote : IwConfig.txt

apport information

Revision history for this message
Laurent Dumont (baconpackets) wrote : Lspci.txt

apport information

Revision history for this message
Laurent Dumont (baconpackets) wrote : Lspci-vt.txt

apport information

Revision history for this message
Laurent Dumont (baconpackets) wrote : Lsusb.txt

apport information

Revision history for this message
Laurent Dumont (baconpackets) wrote : Lsusb-t.txt

apport information

Revision history for this message
Laurent Dumont (baconpackets) wrote : Lsusb-v.txt

apport information

Revision history for this message
Laurent Dumont (baconpackets) wrote : PaInfo.txt

apport information

Revision history for this message
Laurent Dumont (baconpackets) wrote : ProcCpuinfo.txt

apport information

Revision history for this message
Laurent Dumont (baconpackets) wrote : ProcCpuinfoMinimal.txt

apport information

Revision history for this message
Laurent Dumont (baconpackets) wrote : ProcEnviron.txt

apport information

Revision history for this message
Laurent Dumont (baconpackets) wrote : ProcInterrupts.txt

apport information

Revision history for this message
Laurent Dumont (baconpackets) wrote : ProcModules.txt

apport information

Revision history for this message
Laurent Dumont (baconpackets) wrote : PulseList.txt

apport information

Revision history for this message
Laurent Dumont (baconpackets) wrote : RfKill.txt

apport information

Revision history for this message
Laurent Dumont (baconpackets) wrote : UdevDb.txt

apport information

Revision history for this message
Laurent Dumont (baconpackets) wrote : WifiSyslog.txt

apport information

Revision history for this message
Laurent Dumont (baconpackets) wrote : acpidump.txt

apport information

Revision history for this message
Laurent Dumont (baconpackets) wrote :

I guess I now know what aport-collect does! :D

Another crash with

ii linux-firmware 20220314.gitcd01f857-0ubuntu2 all Firmware for Linux kernel driver

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-firmware (Ubuntu Impish):
status: New → Confirmed
Revision history for this message
Matthias (ms82494) wrote :

I still experience this issue with Jammy 22.04, with the 20220329.git681281e4-0ubuntu1 version of linux-firmware.

Juerg Haefliger (juergh)
Changed in linux-firmware (Ubuntu Impish):
status: Confirmed → Won't Fix
Changed in linux-firmware (Ubuntu Jammy):
status: New → Confirmed
Revision history for this message
Juerg Haefliger (juergh) wrote (last edit ):

For people who believe they're still seeing this issue with Jammy 22.04, please attached the outputs of dmesg and 'lspci -nnv' from the affected machine from when the wifi problem occurs. We might be dealing with different issues and/or wifi hardware.

Changed in linux-firmware (Ubuntu Jammy):
status: Confirmed → Incomplete
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Duplicates of this bug

Other bug subscribers